package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class Zyjh {

    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    @ApiModelProperty(value = "产品")
    private String dcCh;

    @ApiModelProperty(value = "数据来源船")
    private String dcCh1;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @ApiModelProperty(value = "领取类型")
    @TableField("LQLB")
    private String lqlb;

    @ApiModelProperty(value = "套料图号")
    private String tzbh;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpxh;

    @ApiModelProperty(value = "划线长度(米)")
    private volatile Double hxcd;
    private volatile Double dmcd;

    private String dmrq;
    private String pkrq;
    private String llrq;

    @ApiModelProperty(value = "切割长度（米）")
    private Double qgcd;

    @ApiModelProperty(value = "曲标识")
    private String qbs;
    private String qjgrq;

    @ApiModelProperty(value = "坡口类型")
    private Double pklx;

    @ApiModelProperty(value = "坡口长度")
    private volatile Double pkcd;

    @ApiModelProperty(value = "零件数量")
    private Double ljsl;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "钢加大组结束")
    private String gjjsDz;


    @ApiModelProperty(value = "加工类型")
    private String lx;

    @ApiModelProperty(value = "型材米数")
    private Double xcms;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "上料日期")
    private String slrq;

    private String slsb;

    @ApiModelProperty(value = "上料人员")
    private String slry;

    @ApiModelProperty(value = "抛丸")
    private String pw;

    @ApiModelProperty(value = "抛丸人员")
    private String pwry;

    @ApiModelProperty(value = "抛丸日期")
    private String pwrq;

    @ApiModelProperty(value = "划线设备")
    private String hxsb;

    @ApiModelProperty(value = "划线人员")
    private String hxry;

    @ApiModelProperty(value = "划线日期")
    private String hxrq;

    @ApiModelProperty(value = "切割设备")
    private String qgsb;

    @ApiModelProperty(value = "切割人员")
    private String qgry;

    @ApiModelProperty(value = "切割日期")
    private String qgrq;

    @ApiModelProperty(value = "抛丸设备")
    private String pwsb;

    @ApiModelProperty(value = "分段号")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "状态：0编辑 1提交 2下发")
    private String zt;
}
