package com.dsic.gj_erp.controller.txzz;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jt.入库;
import com.dsic.gj_erp.service.txzz.I入库Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【请填写功能名称】Controller
 * 
 * @author ruoyi
 * @date 2024-06-26
 */
@RestController
@RequestMapping("/system/入库")
public class 入库Controller{
    @Autowired
    private I入库Service 入库Service;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public ResultBean list(入库 入库)
    {
        List<入库> list = 入库Service.select入库List(入库);
        return new ResultBean(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @PostMapping("/export")
    public void export(HttpServletResponse response, 入库 入库)
    {
        List<入库> list = 入库Service.select入库List(入库);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{选择采购订单}")
    public ResultBean getInfo(@PathVariable("选择采购订单") String 选择采购订单)
    {
        return new ResultBean(入库Service.select入库By选择采购订单(选择采购订单));
    }

    /**
     * 新增【请填写功能名称】
     */
    @PostMapping
    public ResultBean add(@RequestBody 入库 入库)
    {
        入库Service.insert入库(入库);
        return new ResultBean();
    }

    /**
     * 修改【请填写功能名称】
     */
    @PutMapping
    public ResultBean edit(@RequestBody 入库 入库)
    {
        入库Service.update入库(入库);
        return new ResultBean();
    }

    /**
     * 删除【请填写功能名称】
     */
	@DeleteMapping("/{选择采购订单s}")
    public ResultBean remove(@PathVariable String[] 选择采购订单s)
    {
        入库Service.delete入库By选择采购订单s(选择采购订单s);
        return new ResultBean();
    }
}
