package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dsic.gj_erp.bean.pgd.PgdTzjh;
import com.dsic.gj_erp.exception.ServiceException;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2023-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmYdjh对象", description="")
public class DmYdjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "产品")
    private String dcCh;

    @ApiModelProperty(value = "数据来源船")
    private String dcCh1;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @TableField(exist = false)
    private String xzglxq;
    @ApiModelProperty(value = "领取类型")
    @TableField("LQLB")
    private String lqlb;

    @ApiModelProperty(value = "套料图号")
    private String tzbh;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpxh;

    @ApiModelProperty(value = "划线长度(米)")
    private Double hxcd;

    @ApiModelProperty(value = "切割长度（米）")
    private Double qgcd;

    @ApiModelProperty(value = "曲标识")
    private String qbs;

    @ApiModelProperty(value = "坡口类型")
    private Double pklx;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd;

    @ApiModelProperty(value = "零件数量")
    private Double ljsl;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "加工类型")
    private String lx;

    @ApiModelProperty(value = "型材米数")
    private Double xcms;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "上料日期")
    private String slrq;

    @ApiModelProperty(value = "上料人员")
    private String slry;

    @ApiModelProperty(value = "抛丸")
    private String pw;

    @ApiModelProperty(value = "抛丸人员")
    private String pwry;

    @ApiModelProperty(value = "抛丸日期")
    private String pwrq;

    @ApiModelProperty(value = "划线设备")
    private String hxsb;

    @ApiModelProperty(value = "划线人员")
    private String hxry;

    @ApiModelProperty(value = "划线日期")
    private String hxrq;

    @ApiModelProperty(value = "切割设备")
    private String qgsb;

    @ApiModelProperty(value = "切割人员")
    private String qgry;

    @ApiModelProperty(value = "切割日期")
    private String qgrq;

    @ApiModelProperty(value = "打磨长度")
    private Double dmcd;

    @ApiModelProperty(value = "打磨设备")
    private String dmsb;

    @ApiModelProperty(value = "打磨人员")
    private String dmry;

    @ApiModelProperty(value = "打磨日期")
    private String dmrq;

    @ApiModelProperty(value = "抛丸设备")
    private String pwsb;

    @ApiModelProperty(value = "坡口设备")
    private String pksb;

    @ApiModelProperty(value = "坡口人员")
    private String pkry;

    @ApiModelProperty(value = "坡口日期")
    private String pkrq;

    @ApiModelProperty(value = "分段号")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "钢加大组结束")
    private String gjjsDz;

    @ApiModelProperty(value = "钢加小组结束")
    private String gjjsXz;

    @ApiModelProperty(value = "套料图接收")
    private String jsqTlt;

    @ApiModelProperty(value = "领取表接收")
    private String jsqLqb;

    @ApiModelProperty(value = "订货清单号")
    private String dhqd;

    @ApiModelProperty(value = "订货数量")
    private Double orderBs;

    @ApiModelProperty(value = "到货数量")
    private Double arrivalBs;

    @ApiModelProperty(value = "区域")
    private String qy;

    @ApiModelProperty(value = "矫正标识")
    private String jzbs;

    @ApiModelProperty(value = "矫正设备")
    private String jzsb;

    @ApiModelProperty(value = "矫正人员")
    private String jzry;

    @ApiModelProperty(value = "曲加工设备")
    private String qjgsb;

    @ApiModelProperty(value = "曲加工人员")
    private String qjgry;

    @ApiModelProperty(value = "曲加工日期")
    private String qjgrq;

    @ApiModelProperty(value = "本船号")
    @TableField("dcCh2")
    private String dcCh2;

    @ApiModelProperty(value = "钢加开始")
    private String gjks;

    @ApiModelProperty(value = "时间更新时间")
    private String gxsj;

    @ApiModelProperty(value = "划线空程禅道")
    private Double hxkcCd;

    @ApiModelProperty(value = "切割空程长度")
    private Double qgkcCd;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

    @ApiModelProperty(value = "矫正日期")
    private String jzrq;

    @ApiModelProperty(value = "状态：0编辑 1提交 2下发 3完成 4拖期")
    private String zt;

    @ApiModelProperty(value = "根数")
    private Double xcgs;

    @ApiModelProperty(value = "板材领取重量")
    private Double bclqzl;

    @ApiModelProperty(value = "板材实耗重量")
    private Double bcshzl;

    @ApiModelProperty(value = "板材余料重量")
    private Double bcylzl;

    @ApiModelProperty(value = "板材零件套料重量")
    private Double bcljtlzl;

    @ApiModelProperty(value = "前批余料代")
    private Double bcqpyld;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String ylbhgg;

    private String parentId;
    private String db;
    private String cx;
    private String txc;
    private String jhlx="0";

    private String jssjOld;





    @TableField(exist = false)
    private  PgdTzjh pgdTzjh;
    @TableField(exist = false)
    private  String color;

//    private String sljhrq;
//    private String pwpgrq;

    private String djh;//派工单号

    // 生产状态
    private String sczt; // 生产状态：编制, 提交, 下达, 上料, 抛丸, 理料, 划线/切割, 完成

    // 小组需求期和大组需求期
    private String slxzxqrq; // 小组需求期
    private String sldzxqrq; // 大组需求期

    // 上料信息
    private String slkcdw; // 库存垛位
    private String slcs; // 层数
    private String slxhth; // 小合同号
    private String slhth; // 合同号
    private String slwlh; // 物料号
    private String slkcxx; // 所有库存信息
    private Integer slycldw; // 预处理垛位
    private Integer slyclcs; // 预处理垛位

    // 派工及反馈
    private String slpgry; // 派工人
    private String slfkry; // 上料反馈人
    private String slfkrq; // 上料时间
    private String slbz; // 上料备注

    // 抛丸信息
    private String pwxcldw; // 取自预处理垛位
    private Integer pwcs; // 取自层数
    private String pwpgry; // 派工人
    private String slpgrq; // 上料派工日期
    private String pwpgrq; // 抛丸派工日期
    private String pwfkry; // 抛丸反馈人
    private String pwfkrq; // 抛丸反馈日期
    private String pwbz; // 抛丸备注

    // 理料信息
    private String lldw; // 理料垛位
    private Integer llcs; // 理料层数
    private String llpgry; // 派工人
    private String llpgrq; // 派工日期
    private String llry; // 施工人
    private String llfkry; // 反馈人
    private String llfkrq; // 反馈日期
    private String llbz; // 备注

    // 划线信息
    private String hxdw; // 取自理料垛位
    private Integer hxcs; // 取自层数
    private String hxpgry; // 划线派工人
    private String hxpgrq; // 划线派工日期
    private String hxfkrq; // 划线反馈日期
    private String hxfkry; // 划线反馈人员
    private String hxjybs; // 划线借用标识
    private String hxjych; // 划线借用船号
    private String hxjypl; // 划线借用批量
    private String hxjyfd; // 划线借用分段
    private String hxjyzl; // 划线借用组立
    private String hxjykw; // 划线借用跨位
    private String hxjytlth; // 划线借用套料图号
    private String hxbz; // 划线备注

    // 切割信息
    private String qgdw; // 取自理料垛位
    private Integer qgcs; // 取自层数
    private String qgpgry; // 划线派工人
    private String qgpgrq; // 划线派工日期
    private String qgfkrq; // 划线反馈日期
    private String qgfkry; // 划线反馈人员
    private String qgjybs; // 划线借用标识
    private String qgjych; // 划线借用船号
    private String qgjypl; // 划线借用批量
    private String qgjyfd; // 划线借用分段
    private String qgjyzl; // 划线借用组立
    private String qgjykw; // 划线借用跨位
    private String qgjytlth; // 划线借用套料图号
    private String qgbz; // 划线备注

    // 标识信息
    private String qjgbs; // 曲加工标识
    private String pkbs; // 坡口标识
    private String ycbs; // 型材标识

    // 计划日期
    private String hxjhrq; // 划线计划日期
    private String qgjhrq; // 切割计划日期
    private String zcljhrq; // 再处理计划日期
    private String sljhrq; // 上料计划日期
    private String pwjhrq; // 抛丸计划日期
    private String lljhrq; // 理料计划日期

    private String  kcbs;  // 库存标识


    public void setZtForSl(){
        this.zt=ZyjhzxEnum.SLFK.code;
    }
    public static String getSlZt(){
        return ZyjhzxEnum.SLFK.code;
    }

    public static String getLLZt(){
        return ZyjhzxEnum.LLFK.code;
    }

    public void setZtByZyjhzx(String type){
        ZyjhzxEnum zyjhzxEnum = ZyjhzxEnum.valueOf(type);
        if (zyjhzxEnum==null){
            throw new ServiceException(10001,"作业计划执行内容不存在");
        }
        this.zt=zyjhzxEnum.code;
    }

    @AllArgsConstructor
    private enum ZyjhzxEnum{
        SLPP("11"),  // 上料匹配
        SLFK("21"),
        PWPG("31"),
        PWFK("32"),
        LLPG("41"),
        LLFK("42"),
        HXPG("51"),
        HXFK("52"),
        QGPG("61"),
        QGFK("62"),
        ;
        @Getter
        public String code;
    }

    public static void main(String[] args) {

    }
}
