package com.dsic.gj_erp.service.kc;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dsic.gj_erp.bean.kc.ImCkwpkwp;
import com.dsic.gj_erp.mapper.kc.ImCkwpkwpMapper;
import com.github.jeffreyning.mybatisplus.service.MppServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ImCkwpkwpService extends MppServiceImpl<ImCkwpkwpMapper, ImCkwpkwp> {

    /**
     * 根据船只,分段获取板材库存信息
     */
    public List<ImCkwpkwp> getBcKcxx(String dcCh){
        return this.getByDcch(dcCh,"01");
    }

    /**
     * 根据仓库号,船只,分段获取板材/型材库存信息
     */
    public List<ImCkwpkwp> getByDcch(String dcCh,String ckh){
        return this.list(Wrappers.<ImCkwpkwp>lambdaQuery()
                .eq(ImCkwpkwp::getCkh,ckh)
                .eq(ImCkwpkwp::getDcCh,dcCh)
                .eq(ImCkwpkwp::getWpzt,"KY")
        );
    }
}
