package com.dsic.gj_erp.service.zyjh;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.controller.zyjh.dto.ShangLiao;
import com.dsic.gj_erp.mapper.jhgk.DmYdjhMapper;
import org.springframework.stereotype.Service;

@Service
public class ZyjhService extends ServiceImpl<DmYdjhMapper,DmYdjh> {

    public void updateForSl(ShangLiao sl){
        LambdaUpdateWrapper<DmYdjh> wrapper = Wrappers.<DmYdjh>lambdaUpdate()
                .set(DmYdjh::getSlkcdw, sl.getYdjh().getSlkcdw())
                .set(DmYdjh::getSlcs, sl.getYdjh().getSlcs())
                .set(DmYdjh::getSlfkrq, sl.getYdjh().getSlfkrq())
                .set(DmYdjh::getSlfkry, sl.getYdjh().getSlfkry())
                .eq(DmYdjh::getId, sl.getYdjh().getId());

        switch (sl.getType()){
            case YCL:
                wrapper.set(DmYdjh::getZt, DmYdjh.getSlZt());
                break;
            case LLJ:
                wrapper.set(DmYdjh::getZt, DmYdjh.getLLZt());
        }


        this.update(wrapper);
    }
}
